[uwsgi]
strict = true
master = true
vacuum = true
single-interpreter = true
die-on-term = true
need-app = true
lazy-apps = true
enable-threads = true

; Worker recycling.
max-requests = 0
max-worker-lifetime = 3600
reload-on-rss = 2048
worker-reload-mercy = 60

; Harakiri (Longest amount of time an active worker can run without killing itself)
harakiri = 60

manage-script-name = true
mount = /=src.server:app

listen = 1000

post-buffering = true
buffer-size = 8192
